//
//  AdapterViewController.m
//  Help
//
//  Created by liaochangping on 2/21/14.
//  Copyright (c) 2014 lcp. All rights reserved.
//

#import "AdapterViewController.h"
#import "LoginViewController.h"
#import "MainViewController.h"
#import "HelpProtocal.h"

@interface AdapterViewController ()<HelpProtocal>
{
    LoginViewController * ctl_Login;//登入验证操作
    MainViewController * ctl_Main;//主视图操作
}

@end

@implementation AdapterViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)loadView
{
    [super loadView];
    
    //初始化操作
    ctl_Login = [[LoginViewController alloc]init];
    ctl_Login.delegate = self;
    ctl_Main = [[MainViewController alloc]init];
    ctl_Main.delegate = self;
    
    //默认显示登入界面
    [self.view addSubview:ctl_Login.view];
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (void)dealloc
{
    HelpSafeRelease(ctl_Login);
    HelpSafeRelease(ctl_Main);
    
    [super dealloc];
}

////////////////////////////////////////////////////////////////////////////////////
//协议实现回调
//////////////////////////////////////////////////////////////////////////////////////////

#pragma mark - 进入主视图
- (void)HelpProtocal_EnterMainView
{
    [ctl_Login.view removeFromSuperview];
    
    [self.view addSubview:ctl_Main.view];
    
}

#pragma mark - 退出主视图
- (void)HelpProtocal_ExitMainView
{
    [ctl_Main.view removeFromSuperview];
    
    [self.view addSubview:ctl_Login.view];
}

@end
