//
//  BaseViewController.m
//  GaoKaoHelper
//
//  Created by Christopher on 5/5/14.
//  Copyright (c) 2014 Christopher. All rights reserved.
//

#import "BaseViewController.h"
#import "myScoreViewController.h"
#import "BaseNavigationViewController.h"
#import "searchScoreViewController.h"
#import "recommendViewController.h"
@interface BaseViewController ()

@end

@implementation BaseViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view.
    [self _initViewController];
    [self _initTabBar];
}

- (void)backAction
{
    [self dismissViewControllerAnimated:YES completion:NULL];
}

- (void)_initViewController
{
    myScoreViewController *myScore = [[myScoreViewController alloc]init];
    searchScoreViewController *searchScore = [[searchScoreViewController alloc]init];
    recommendViewController *recommend = [[recommendViewController alloc]init];
    
    NSArray *views = @[myScore,searchScore,recommend];
    NSMutableArray *viewControllers = [NSMutableArray arrayWithCapacity:3];
    for (UIViewController *viewController in views) {
        BaseNavigationViewController *nav = [[BaseNavigationViewController alloc]initWithRootViewController:viewController];
        [viewControllers addObject:nav];
        [nav release];
    }
    
    self.viewControllers = viewControllers;
}

//创建自定义TabBar
- (void)_initTabBar
{
    _tabbarView = [[UIView alloc]initWithFrame:CGRectMake(0, ScreenHeight - 49, 320, 49)];
    [self.view addSubview:_tabbarView];
    
    _tabbarView.backgroundColor = [UIColor colorWithRed:0 green:1 blue:0.0 alpha:0.3];
    
    for (int i = 0;i < 3;i++){
        
        UIButton *button = [UIButton buttonWithType:UIButtonTypeCustom];
        button.frame = CGRectMake( i*100 + 10, (49 - 45)/2, 100, 45);
        button.tag = i;
        [button addTarget:self action:@selector(selectTab:) forControlEvents:UIControlEventTouchUpInside];
        [_tabbarView addSubview:button];
    }
}

- (void)selectTab:(UIButton *)button
{
    self.selectedIndex = button.tag;
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
