//
//  CurveView.m
//  GaoKaoHelper
//
//  Created by Christopher on 21/3/15.
//  Copyright (c) 2015 Christopher. All rights reserved.
//

#import "CurveView.h"

@implementation CurveView
@synthesize HighArray,AveArray,TDArray,SchoolName,batchInfo,categoryInfo;
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect {
    //1、获得图形上下文
    CGContextRef context = UIGraphicsGetCurrentContext();
    //2、绘制图形
    CGContextSetLineWidth(context, 4);
    //设置颜色
    CGContextSetRGBStrokeColor(context, 1, 1, 1, 1);
    //设置起点
    CGContextMoveToPoint(context, 20, 200);
    //划线
    CGContextAddLineToPoint(context, 20, 380);
    CGContextAddLineToPoint(context, 300, 380);
    //3、显示到view中
    CGContextStrokePath(context);
    
    //最高分与省控线的差值
    [[UIColor redColor]set];
    CGContextSetLineCap(context, kCGLineCapSquare);
    CGContextSetLineJoin(context, kCGLineJoinBevel);
    
    NSUInteger Highcount = [HighArray count];
    double originY = [[HighArray objectAtIndex:0]doubleValue];
    double originX = ScreenWidth - 100 * Highcount + 25;
    if (originY>100) {
        originY = [[HighArray objectAtIndex:1]doubleValue];
    }
    CGContextMoveToPoint(context, originX, 350 - originY);
    for (int i = 1;i<=[HighArray count]-1; i++) {
        //画线
        double y = [[HighArray objectAtIndex:i]doubleValue];
        CGContextAddLineToPoint(context, originX + 100*i, 350 - y );
    }
    
    CGContextStrokePath(context);
    for (int i = 0;i<=[HighArray count]-1; i++) {
        //画数字
        double y = [[HighArray objectAtIndex:i]doubleValue];
        NSString *highValue = [NSString stringWithFormat:@" %@",[HighArray objectAtIndex:i]];
        double x = ScreenWidth - 100 * Highcount + 23  ;
        [highValue drawAtPoint:CGPointMake(x + 100*i, 330 - y) withAttributes:nil];
    }
    
    //平均分与省控线的差值
    [[UIColor blueColor]set];
    CGContextSetLineCap(context, kCGLineCapSquare);
    CGContextSetLineJoin(context, kCGLineJoinBevel);
    
    NSUInteger aveCount = [AveArray count];
    double aoriginY = [[AveArray objectAtIndex:0]doubleValue];
    double aoriginX = ScreenWidth - 100 * aveCount + 25;
    if (aoriginY>100) {
        aoriginY = [[AveArray objectAtIndex:1]doubleValue];
    }
    CGContextMoveToPoint(context, aoriginX, 350 - aoriginY);
    for (int i = 1;i<=[AveArray count]-1; i++) {
        //画线
        double y = [[AveArray objectAtIndex:i]doubleValue];
        CGContextAddLineToPoint(context, aoriginX + 100*i, 350 - y );
    }
    CGContextStrokePath(context);
    for (int i = 0;i<=[AveArray count]-1; i++) {
        //画数字
        double y = [[AveArray objectAtIndex:i]doubleValue];
        NSString *aveValue = [NSString stringWithFormat:@" %@",[AveArray objectAtIndex:i]];
        double x = ScreenWidth - 100 * aveCount + 23  ;
        [aveValue drawAtPoint:CGPointMake(x + 100*i, 352 - y) withAttributes:nil];
    }
    
    //投档线与省控线的差值
    [[UIColor yellowColor]set];
    CGContextSetLineCap(context, kCGLineCapSquare);
    CGContextSetLineJoin(context, kCGLineJoinBevel);
    NSArray *array = @[];
    if (self.TDArray == NULL || [TDArray isEqualToArray:array]){
        NSLog(@"无信息");
    }else{
        NSUInteger tdCount = [TDArray count];
        double toriginY = [[TDArray objectAtIndex:0]doubleValue];
        double toriginX = ScreenWidth - 100 * tdCount + 25;
        if (toriginY>100) {
            toriginY = [[TDArray objectAtIndex:1]doubleValue];
        }
        CGContextMoveToPoint(context, toriginX, 350 - toriginY);
        for (int i = 1;i<=[TDArray count]-1; i++) {
            //画线
            double y = [[TDArray objectAtIndex:i]doubleValue];
            CGContextAddLineToPoint(context, toriginX + 100*i, 350 - y );
        }
        CGContextStrokePath(context);
        for (int i = 0;i<=[TDArray count]-1; i++) {
            //画数字
            double y = [[TDArray objectAtIndex:i]doubleValue];
            NSString *tdValue = [NSString stringWithFormat:@" %@",[TDArray objectAtIndex:i]];
            double x = ScreenWidth - 100 * tdCount + 23  ;
            [tdValue drawAtPoint:CGPointMake(x + 100*i, 352 - y) withAttributes:nil];
        }
    }
    
    
    for (int i = 0; i<3; i++) {
        UILabel *year = [[UILabel alloc]initWithFrame:CGRectMake(45+100*i, 350, 80, 100)];
        year.font = [UIFont fontWithName:@"Helvetica" size:13];
        year.text = [NSString stringWithFormat:@"201%d年",i+1];
        [self addSubview:year];
    }
    
    UILabel *noticeLabel1 = [[UILabel alloc]initWithFrame:CGRectMake(20, 420, 280, 30)];
    noticeLabel1.text = @"蓝色曲线:平均分与省控线分差";
    noticeLabel1.textColor = [UIColor whiteColor];
    noticeLabel1.font = [UIFont systemFontOfSize:12];
    [self addSubview:noticeLabel1];
    [noticeLabel1 release];
    UILabel *noticeLabel2 = [[UILabel alloc]initWithFrame:CGRectMake(20, noticeLabel1.bottom, 280, 30)];
    noticeLabel2.text = @"红色曲线:最高分与省控线分差";
    noticeLabel2.textColor = [UIColor whiteColor];
    noticeLabel2.font = [UIFont systemFontOfSize:12];
    [self addSubview:noticeLabel2];
    [noticeLabel2 release];
    UILabel *noticeLabel3 = [[UILabel alloc]initWithFrame:CGRectMake(20, noticeLabel2.bottom, 280, 30)];
    noticeLabel3.text = @"黄色曲线:投档线与省控线分差";
    noticeLabel3.textColor = [UIColor whiteColor];
    noticeLabel3.font = [UIFont systemFontOfSize:12];
    [self addSubview:noticeLabel3];
    [noticeLabel3 release];
    
    UILabel *schoolLabel = [[UILabel alloc]initWithFrame:CGRectMake(30, 100, 260, 100)];
    schoolLabel.text = [NSString stringWithFormat:@"%@%@%@分数与省控线差值曲线",SchoolName,categoryInfo,batchInfo];
    schoolLabel.textAlignment = NSTextAlignmentCenter;
    schoolLabel.numberOfLines = 2;
    schoolLabel.textColor = [UIColor redColor];
    schoolLabel.font = [UIFont systemFontOfSize:20];
    [self addSubview:schoolLabel];
    [schoolLabel release];
}

@end
