//
//  LineViewController.m
//  GaoKaoHelper
//
//  Created by Christopher on 19/5/14.
//  Copyright (c) 2014 Christopher. All rights reserved.
//
#import "LineViewController.h"
#import "ASIHTTPRequest.h"
#import "SBJson.h"
#import "Reachability.h"
#import "ConnectNetWork.h"
@interface LineViewController ()

@end

@implementation LineViewController
@synthesize data;
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

#pragma mark - test network connection
-(BOOL) isConnectionAvailable
{
    BOOL isExistenceNetwork = YES;
    Reachability *reach = [Reachability reachabilityWithHostName:@"www.apple.com"];
    switch ([reach currentReachabilityStatus]) {
        case NotReachable:
        isExistenceNetwork = NO;
        //NSLog(@"notReachable");
        break;
        case ReachableViaWiFi:
        isExistenceNetwork = YES;
        //NSLog(@"WIFI");
        break;
        case ReachableViaWWAN:
        isExistenceNetwork = YES;
        //NSLog(@"3G");
        break;
    }
    if (!isExistenceNetwork) {
        UIAlertView *alert = [[UIAlertView alloc]initWithTitle:@"提示" message:@"你现在还没有连接网络，请连接网络后再查询" delegate:self cancelButtonTitle:@"知道了" otherButtonTitles:nil, nil];
        [alert show];
        [alert release];
    }
    
    return isExistenceNetwork;
}

- (void)initData;
{
    _yearArray = @[@"2011",@"2012",@"2013"];
    _cataArray = @[@"不限",@"文史",@"理工"];
    _batchArray = @[@"不限",@"一本",@"二本",@"三本",@"专科",@"提前"];
    [_yearArray retain];
    [_cataArray retain];
    [_batchArray retain];
}

- (void)viewDidLoad
{
    _yearString = @"2011";
    _catagory = 0;
    _batch = 0;
    [super viewDidLoad];
    [self isConnectionAvailable];
    [self initData];
    UIPickerView *picker = [[UIPickerView alloc]initWithFrame:CGRectMake(0, -10, 320, 80)];
    picker.userInteractionEnabled = YES;
    picker.showsSelectionIndicator = YES;
    picker.delegate = self;
    picker.dataSource = self;
    picker.backgroundColor = [UIColor darkGrayColor];
    [self.view addSubview:picker];
    [picker release];
    
    UIButton *WenSeletct = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    [WenSeletct setTitle:@"查询" forState:UIControlStateNormal];
    WenSeletct.layer.borderColor = [UIColor blueColor].CGColor;

    WenSeletct.showsTouchWhenHighlighted = YES;
    WenSeletct.titleLabel.font = [UIFont systemFontOfSize:16.0f];
    [WenSeletct setTitleColor:[UIColor blackColor] forState:UIControlStateNormal];
    WenSeletct.frame = CGRectMake(50, 50, 80, 35);
    [WenSeletct addTarget:self action:@selector(search) forControlEvents:UIControlEventTouchUpInside];
    
    UIBarButtonItem *rightButton = [[UIBarButtonItem alloc]initWithCustomView:WenSeletct];
    self.navigationItem.rightBarButtonItem = rightButton;
    [rightButton release];
    
    UIView *titleView = [[UIView alloc]initWithFrame:CGRectMake(0, 150, ScreenWidth, 50)];
    titleView.backgroundColor = [UIColor grayColor];
    UILabel *year = [[UILabel alloc]initWithFrame:CGRectMake(10, 10, 100, 20)];
    year.text = @"年份";
    year.textColor = [UIColor whiteColor];
    [titleView addSubview:year];
    [year release];
    
    UILabel *class = [[UILabel alloc]initWithFrame:CGRectMake(70, 10, 100, 20)];
    class.text = @"类别";
    class.textColor = [UIColor whiteColor];
    [titleView addSubview:class];
    [class release];
    
    UILabel *round = [[UILabel alloc]initWithFrame:CGRectMake(130, 10, 100, 20)];
    round.text = @"批次";
    round.textColor = [UIColor whiteColor];
    [titleView addSubview:round];
    [round release];
    
    UILabel *highScore = [[UILabel alloc]initWithFrame:CGRectMake(190, 10, 100, 20)];
    highScore.text = @"地区";
    highScore.textColor = [UIColor whiteColor];
    [titleView addSubview:highScore];
    [highScore release];
    
    UILabel *aveScore = [[UILabel alloc]initWithFrame:CGRectMake(260, 10, 100, 20)];
    aveScore.text = @"省控线";
    aveScore.textColor = [UIColor blueColor];
    [titleView addSubview:aveScore];
    [aveScore release];
    
    [self.view addSubview:titleView];
    [titleView release];
    
    _tableView = [[UITableView alloc]initWithFrame:CGRectMake(0, 185, 320, ScreenHeight - 230) style:UITableViewStylePlain];
    _tableView.dataSource = self;
    _tableView.delegate = self;
    [self.view addSubview:_tableView];
    [_tableView release];
    
    UISwipeGestureRecognizer *swipGesture = [[UISwipeGestureRecognizer alloc]initWithTarget:self action:@selector(swipAction:)];
    swipGesture.direction = UISwipeGestureRecognizerDirectionRight;
    [self.view addGestureRecognizer:swipGesture];
    [swipGesture release];
}

#pragma mark - UISwipRecognizer Action
- (void)swipAction:(UIGestureRecognizer *)gesture
{
    [self.navigationController popViewControllerAnimated:YES];

}

- (void)search
{
    HUD = [[MBProgressHUD alloc] initWithView:self.view];
    [self.view addSubview:HUD];
    
    HUD.dimBackground = YES;
    //设置对话框文字
    HUD.labelText = @"正在查询";
    
    //显示对话框
    [HUD showAnimated:YES whileExecutingBlock:^{
        //对话框显示时需要执行的操作
        sleep(1);
        [self loadNetData];
    } completionBlock:^{
        //操作执行完后取消对话框
        [HUD removeFromSuperview];
        [HUD release];
        HUD = nil;
        [_tableView reloadData];
    }];
    
    
}

- (void)loadNetData
{
    NSInteger province;
    //上海proviceID = 3；
    if (_provinceIndex == 0) {
        province = 3;
    }
    //浙江proviceID = 10；
    else if (_provinceIndex == 1){
        province = 10;
    }
    //江西proviceID = 13；
    else{
        province = 13;
    }
    
    NSURL *url = [NSURL URLWithString:[NSString stringWithFormat:@"http://www.xs360.cn/zhushou/getControlLinesJson.action?c=%ld&y=%@&s=%ld&b=%ld",(long)_catagory,_yearString,(long)province,(long)_batch]];
    
    
    NSURL *netUrl = [NSURL URLWithString:@"www.xs360.cn"];
    ConnectNetWork *connect = [[ConnectNetWork alloc]init];
    if ([connect isConnectionAvailable:netUrl]){
        ASIHTTPRequest *request = [ASIHTTPRequest requestWithURL:url];
        [request setRequestMethod:@"GET"];
        [request startSynchronous];
        NSData *netData = request.responseData;
        NSString *jsonString = [[NSString alloc]initWithData:netData encoding:NSUTF8StringEncoding];
        
        SBJsonParser *parser = [[SBJsonParser alloc] init];
        data = [parser objectWithString:jsonString];
    }
    NSLog(@"data:%@",data);
    NSArray *array = @[];
    if ([data isEqualToArray:array]) {
        UIAlertView *alert = [[UIAlertView alloc]initWithTitle:@"提示" message:@"暂无数据" delegate:self cancelButtonTitle:@"知道了" otherButtonTitles:nil, nil];
        [alert show];
        [alert release];
    }

}

#pragma mark - UITableView Delegate
- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return data.count;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString *identifier = @"identifier";
    UITableViewCell *cell = nil;
    if (cell == nil) {
        cell = [[UITableViewCell alloc]initWithStyle:UITableViewCellStyleDefault reuseIdentifier:identifier];
    }
    _yearLabel = [[UILabel alloc]initWithFrame:CGRectMake(10, 10, 80, 20)];
    _yearLabel.text = [[data objectAtIndex:indexPath.row]valueForKey:@"yaerTime"];
    [cell.contentView addSubview:_yearLabel];
    [_yearLabel release];
    
    _catagoryLabel = [[UILabel alloc]initWithFrame:CGRectMake(70, 10, 80, 20)];
    _catagoryLabel.text = [[data objectAtIndex:indexPath.row]valueForKey:@"category_name"];
    [cell.contentView addSubview:_catagoryLabel];
    [_catagoryLabel release];
    
    _batchLabel = [[UILabel alloc]initWithFrame:CGRectMake(130, 10, 80, 20)];
    _batchLabel.text = [[data objectAtIndex:indexPath.row]valueForKey:@"batch_name"];
    [cell.contentView addSubview:_batchLabel];
    [_batchLabel release];
    
    _areaLabel = [[UILabel alloc]initWithFrame:CGRectMake(190, 10, 80, 20)];
    _areaLabel.text = [[data objectAtIndex:indexPath.row]valueForKey:@"area_name"];
    [cell.contentView addSubview:_areaLabel];
    [_areaLabel release];
    
    _lineLabel = [[UILabel alloc]initWithFrame:CGRectMake(270, 10, 80, 20)];
    _lineLabel.text = [NSString stringWithFormat:@" %@",[[data objectAtIndex:indexPath.row]valueForKey:@"line"]];

    _lineLabel.textColor = [UIColor blueColor];
    [cell.contentView addSubview:_lineLabel];
    [_lineLabel release];
    
    return cell;
}


#pragma mark - UIPickerView Delegate
// returns the number of 'columns' to display.
- (NSInteger)numberOfComponentsInPickerView:(UIPickerView *)pickerView
{
    return 3;
}

// returns the # of rows in each component..
- (NSInteger)pickerView:(UIPickerView *)pickerView numberOfRowsInComponent:(NSInteger)component
{
    if (component == 0) {
        return [_yearArray count];
    }else if (component == 1){
        return [_cataArray count];
    }else{
        return [_batchArray count];
    }
}

- (UIView *)pickerView:(UIPickerView *)pickerView viewForRow:(NSInteger)row forComponent:(NSInteger)component reusingView:(UIView *)view

{
    UILabel *myView = nil;
    if (component == 0) {
        myView = [[[UILabel alloc] initWithFrame:CGRectMake(0.0, 0.0, 100, 30)] autorelease];
        myView.textAlignment = NSTextAlignmentCenter;
        myView.text = [_yearArray objectAtIndex:row];
        myView.font = [UIFont systemFontOfSize:14];         //用label来设置字体大小
        myView.backgroundColor = [UIColor clearColor];
        myView.textColor = [UIColor whiteColor];
    }else if (component == 1){
        myView = [[[UILabel alloc] initWithFrame:CGRectMake(0.0, 0.0, 180, 30)] autorelease];
        myView.text = [_cataArray objectAtIndex:row];
        myView.textAlignment = NSTextAlignmentCenter;
        myView.font = [UIFont systemFontOfSize:14];
        myView.backgroundColor = [UIColor clearColor];
        myView.textColor = [UIColor whiteColor];
    }else{
        myView = [[[UILabel alloc] initWithFrame:CGRectMake(0.0, 0.0, 180, 30)] autorelease];
        myView.text = [_batchArray objectAtIndex:row];
        myView.textAlignment = NSTextAlignmentCenter;
        myView.font = [UIFont systemFontOfSize:14];
        myView.backgroundColor = [UIColor clearColor];
        myView.textColor = [UIColor whiteColor];
    }
    return myView;
}

- (void)pickerView:(UIPickerView *)pickerView didSelectRow:(NSInteger)row inComponent:(NSInteger)component
{
    NSInteger yearRow = [pickerView selectedRowInComponent:0];
    NSInteger cataRow = [pickerView selectedRowInComponent:1];
    NSInteger batchRow = [pickerView selectedRowInComponent:2];
    
    //2011年
    if (yearRow == 0) {
        _yearString = [_yearArray objectAtIndex:0];
        if (cataRow == 0 && batchRow == 0) {
            _catagory = [_cataArray indexOfObject:@"不限"];
            _batch = [_batchArray indexOfObject:@"不限"];
        }else if (cataRow == 0 && batchRow == 1){
            _catagory = [_cataArray indexOfObject:@"不限"];
            _batch = [_batchArray indexOfObject:@"一本"];
        }else if (cataRow == 0 && batchRow == 2){
            _catagory = [_cataArray indexOfObject:@"不限"];
            _batch = [_batchArray indexOfObject:@"二本"];
        }else if (cataRow == 0 && batchRow == 3){
            _catagory = [_cataArray indexOfObject:@"不限"];
            _batch = [_batchArray indexOfObject:@"三本"];
        }else if (cataRow == 0 && batchRow == 4){
            _catagory = [_cataArray indexOfObject:@"不限"];
            _batch = [_batchArray indexOfObject:@"专科"];
        }else if (cataRow == 0 && batchRow == 5){
            _catagory = [_cataArray indexOfObject:@"不限"];
            _batch = [_batchArray indexOfObject:@"提前"];
        }
        else if (cataRow == 1 && batchRow == 0){
            _catagory = [_cataArray indexOfObject:@"文史"];
            _batch = [_batchArray indexOfObject:@"不限"];
        }else if (cataRow == 1 && batchRow == 1){
            _catagory = [_cataArray indexOfObject:@"文史"];
            _batch = [_batchArray indexOfObject:@"一本"];
        }else if (cataRow == 1 && batchRow == 2){
            _yearString = [_yearArray objectAtIndex:6];
            _catagory = [_cataArray indexOfObject:@"文史"];
            _batch = [_batchArray indexOfObject:@"二本"];
        }else if (cataRow == 1 && batchRow == 3){
            _catagory = [_cataArray indexOfObject:@"文史"];
            _batch = [_batchArray indexOfObject:@"三本"];
        }else if (cataRow == 1 && batchRow == 4){
            _yearString = [_yearArray objectAtIndex:6];
            _catagory = [_cataArray indexOfObject:@"文史"];
            _batch = [_batchArray indexOfObject:@"专科"];
        }else if (cataRow == 1 && batchRow == 5){
            _catagory = [_cataArray indexOfObject:@"文史"];
            _batch = [_batchArray indexOfObject:@"提前"];
        }
        else if (cataRow == 2 && batchRow == 0){
            _catagory = [_cataArray indexOfObject:@"理工"];
            _batch = [_batchArray indexOfObject:@"不限"];
        }else if (cataRow == 2 && batchRow == 1){
            _catagory = [_cataArray indexOfObject:@"理工"];
            _batch = [_batchArray indexOfObject:@"一本"];
        }
        else if (cataRow == 2 && batchRow == 2){
            _catagory = [_cataArray indexOfObject:@"理工"];
            _batch = [_batchArray indexOfObject:@"二本"];
        }
        else if (cataRow == 2 && batchRow == 3){
            _catagory = [_cataArray indexOfObject:@"理工"];
            _batch = [_batchArray indexOfObject:@"三本"];
        }
        else if (cataRow == 2 && batchRow == 4){
            _catagory = [_cataArray indexOfObject:@"理工"];
            _batch = [_batchArray indexOfObject:@"专科"];
        }
        else if (cataRow == 2 && batchRow == 5){
            _catagory = [_cataArray indexOfObject:@"理工"];
            _batch = [_batchArray indexOfObject:@"提前"];
        }
    }
    //2012年
    if (yearRow == 1) {
        _yearString = [_yearArray objectAtIndex:1];
        if (cataRow == 0 && batchRow == 0) {
            _catagory = [_cataArray indexOfObject:@"不限"];
            _batch = [_batchArray indexOfObject:@"不限"];
        }else if (cataRow == 0 && batchRow == 1){
            _catagory = [_cataArray indexOfObject:@"不限"];
            _batch = [_batchArray indexOfObject:@"一本"];
        }else if (cataRow == 0 && batchRow == 2){
            _catagory = [_cataArray indexOfObject:@"不限"];
            _batch = [_batchArray indexOfObject:@"二本"];
        }else if (cataRow == 0 && batchRow == 3){
            _catagory = [_cataArray indexOfObject:@"不限"];
            _batch = [_batchArray indexOfObject:@"三本"];
        }else if (cataRow == 0 && batchRow == 4){
            _catagory = [_cataArray indexOfObject:@"不限"];
            _batch = [_batchArray indexOfObject:@"专科"];
        }else if (cataRow == 0 && batchRow == 5){
            _catagory = [_cataArray indexOfObject:@"不限"];
            _batch = [_batchArray indexOfObject:@"提前"];
        }
        else if (cataRow == 1 && batchRow == 0){
            _catagory = [_cataArray indexOfObject:@"文史"];
            _batch = [_batchArray indexOfObject:@"不限"];
        }else if (cataRow == 1 && batchRow == 1){
            _catagory = [_cataArray indexOfObject:@"文史"];
            _batch = [_batchArray indexOfObject:@"一本"];
        }else if (cataRow == 1 && batchRow == 2){
            _catagory = [_cataArray indexOfObject:@"文史"];
            _batch = [_batchArray indexOfObject:@"二本"];
        }else if (cataRow == 1 && batchRow == 3){
            _catagory = [_cataArray indexOfObject:@"文史"];
            _batch = [_batchArray indexOfObject:@"三本"];
        }else if (cataRow == 1 && batchRow == 4){
            _catagory = [_cataArray indexOfObject:@"文史"];
            _batch = [_batchArray indexOfObject:@"专科"];
        }else if (cataRow == 1 && batchRow == 5){
            _catagory = [_cataArray indexOfObject:@"文史"];
            _batch = [_batchArray indexOfObject:@"提前"];
        }
        else if (cataRow == 2 && batchRow == 0){
            _catagory = [_cataArray indexOfObject:@"理工"];
            _batch = [_batchArray indexOfObject:@"不限"];
        }else if (cataRow == 2 && batchRow == 1){
            _catagory = [_cataArray indexOfObject:@"理工"];
            _batch = [_batchArray indexOfObject:@"一本"];
        }
        else if (cataRow == 2 && batchRow == 2){
            _catagory = [_cataArray indexOfObject:@"理工"];
            _batch = [_batchArray indexOfObject:@"二本"];
        }
        else if (cataRow == 2 && batchRow == 3){
            _catagory = [_cataArray indexOfObject:@"理工"];
            _batch = [_batchArray indexOfObject:@"三本"];
        }
        else if (cataRow == 2 && batchRow == 4){
            _catagory = [_cataArray indexOfObject:@"理工"];
            _batch = [_batchArray indexOfObject:@"专科"];
        }
        else if (cataRow == 2 && batchRow == 5){
            _catagory = [_cataArray indexOfObject:@"理工"];
            _batch = [_batchArray indexOfObject:@"提前"];
        }
    }
    //2013年
    if (yearRow == 2) {
        _yearString = [_yearArray objectAtIndex:2];
        if (cataRow == 0 && batchRow == 0) {
            _catagory = [_cataArray indexOfObject:@"不限"];
            _batch = [_batchArray indexOfObject:@"不限"];
        }else if (cataRow == 0 && batchRow == 1){
            _catagory = [_cataArray indexOfObject:@"不限"];
            _batch = [_batchArray indexOfObject:@"一本"];
        }else if (cataRow == 0 && batchRow == 2){
            _catagory = [_cataArray indexOfObject:@"不限"];
            _batch = [_batchArray indexOfObject:@"二本"];
        }else if (cataRow == 0 && batchRow == 3){
            _catagory = [_cataArray indexOfObject:@"不限"];
            _batch = [_batchArray indexOfObject:@"三本"];
        }else if (cataRow == 0 && batchRow == 4){
            _catagory = [_cataArray indexOfObject:@"不限"];
            _batch = [_batchArray indexOfObject:@"专科"];
        }else if (cataRow == 0 && batchRow == 5){
            _catagory = [_cataArray indexOfObject:@"不限"];
            _batch = [_batchArray indexOfObject:@"提前"];
        }
        else if (cataRow == 1 && batchRow == 0){
            _catagory = [_cataArray indexOfObject:@"文史"];
            _batch = [_batchArray indexOfObject:@"不限"];
        }else if (cataRow == 1 && batchRow == 1){
            _catagory = [_cataArray indexOfObject:@"文史"];
            _batch = [_batchArray indexOfObject:@"一本"];
        }else if (cataRow == 1 && batchRow == 2){
            _catagory = [_cataArray indexOfObject:@"文史"];
            _batch = [_batchArray indexOfObject:@"二本"];
        }else if (cataRow == 1 && batchRow == 3){
            _yearString = [_yearArray objectAtIndex:8];
            _catagory = [_cataArray indexOfObject:@"文史"];
            _batch = [_batchArray indexOfObject:@"三本"];
        }else if (cataRow == 1 && batchRow == 4){
            _catagory = [_cataArray indexOfObject:@"文史"];
            _batch = [_batchArray indexOfObject:@"专科"];
        }else if (cataRow == 1 && batchRow == 5){
            _catagory = [_cataArray indexOfObject:@"文史"];
            _batch = [_batchArray indexOfObject:@"提前"];
        }
        else if (cataRow == 2 && batchRow == 0){
            _catagory = [_cataArray indexOfObject:@"理工"];
            _batch = [_batchArray indexOfObject:@"不限"];
        }else if (cataRow == 2 && batchRow == 1){
            _catagory = [_cataArray indexOfObject:@"理工"];
            _batch = [_batchArray indexOfObject:@"一本"];
        }
        else if (cataRow == 2 && batchRow == 2){
            _catagory = [_cataArray indexOfObject:@"理工"];
            _batch = [_batchArray indexOfObject:@"二本"];
        }
        else if (cataRow == 2 && batchRow == 3){
            _catagory = [_cataArray indexOfObject:@"理工"];
            _batch = [_batchArray indexOfObject:@"三本"];
        }
        else if (cataRow == 2 && batchRow == 4){
            _catagory = [_cataArray indexOfObject:@"理工"];
            _batch = [_batchArray indexOfObject:@"专科"];
        }
        else if (cataRow == 2 && batchRow == 5){
            _catagory = [_cataArray indexOfObject:@"理工"];
            _batch = [_batchArray indexOfObject:@"提前"];
        }
    }
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
