//
//  SchoolInfoViewController.m
//  GaoKaoHelper
//
//  Created by Christopher on 19/6/14.
//  Copyright (c) 2014 Christopher. All rights reserved.
//

#import "SchoolInfoViewController.h"
#import "ASIHTTPRequest.h"
#import "SBJson.h"
#import "ConnectNetWork.h"
@interface SchoolInfoViewController ()

@end

@implementation SchoolInfoViewController
@synthesize data;
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
        self.title = @"专业信息";
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    _tableView = [[UITableView alloc]initWithFrame:CGRectMake(0, 0, 320, ScreenHeight) style:UITableViewStylePlain];
    _tableView.dataSource = self;
    _tableView.delegate = self;
    [self.view addSubview:_tableView];
    [_tableView release];
   
    
    [self loadnetData];
}

#pragma mark - test network connection
-(BOOL) isConnectionAvailable
{
    BOOL isExistenceNetwork = YES;
    Reachability *reach = [Reachability reachabilityWithHostName:@"www.apple.com"];
    switch ([reach currentReachabilityStatus]) {
        case NotReachable:
            isExistenceNetwork = NO;
            //NSLog(@"notReachable");
            break;
        case ReachableViaWiFi:
            isExistenceNetwork = YES;
            //NSLog(@"WIFI");
            break;
        case ReachableViaWWAN:
            isExistenceNetwork = YES;
            
            break;
    }
    if (!isExistenceNetwork) {
        UIAlertView *alert = [[UIAlertView alloc]initWithTitle:@"提示" message:@"你现在还没有连接网络，请连接网络后再查询" delegate:self cancelButtonTitle:@"知道了" otherButtonTitles:nil, nil];
        [alert show];
        [alert release];
    }
    return isExistenceNetwork;
}

- (void)loadnetData
{
    if ([self isConnectionAvailable]) {
    
        NSURL *url = [NSURL URLWithString:[NSString stringWithFormat:@"http://www.xs360.cn/zhushou/querySpecialtyUserJson.action?s=%@",_schoolID]];
        
        NSURL *netUrl = [NSURL URLWithString:@"www.xs360.cn"];
        ConnectNetWork *connect = [[ConnectNetWork alloc]init];
        if ([connect isConnectionAvailable:netUrl]){
            ASIHTTPRequest *request = [ASIHTTPRequest requestWithURL:url];
            [request setRequestMethod:@"GET"];
            [request startSynchronous];
            NSData *netData = request.responseData;
            NSString *jsonString = [[NSString alloc]initWithData:netData encoding:NSUTF8StringEncoding];
            
            SBJsonParser *parser = [[SBJsonParser alloc] init];
            data = [parser objectWithString:jsonString];
            NSArray *array = @[];
            if ([data isEqualToArray:array]) {
                UIAlertView *alert = [[UIAlertView alloc]initWithTitle:@"提示" message:@"没有该学校专业信息" delegate:self cancelButtonTitle:@"知道了" otherButtonTitles:nil, nil];
                [alert show];
                [alert release];
                
            }
        }
    }
    
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return data.count;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString *identifier = @"identifier";
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:identifier];
    if (cell == nil) {
        cell = [[UITableViewCell alloc]initWithStyle:UITableViewCellStyleDefault reuseIdentifier:identifier];
    }
    cell.textLabel.text = [[data objectAtIndex:indexPath.row]valueForKey:@"specialty_name"];
    cell.accessoryType = UITableViewCellAccessoryDisclosureIndicator;
    return cell;
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


@end
