//
//  ScoreLineViewController.m
//  GaoKaoHelper
//
//  Created by Christopher on 20/5/14.
//  Copyright (c) 2014 Christopher. All rights reserved.
//

#import "ScoreLineViewController.h"
#import "ASIHTTPRequest.h"
#import "SBJson.h"
#import "CurvesViewController.h"
#import "ConnectNetWork.h"

@interface ScoreLineViewController ()

@end

@implementation ScoreLineViewController
@synthesize data,TDData,curveButton,majorButton;
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view.
    self.title = _schoolName;
    [self initData];
    [self initView];
    
    _TotolData = [[NSMutableArray alloc]init];
    [_TotolData retain];
    
    UISwipeGestureRecognizer *swipGesture = [[UISwipeGestureRecognizer alloc]initWithTarget:self action:@selector(swipAction:)];
    swipGesture.direction = UISwipeGestureRecognizerDirectionRight;
    [self.view addGestureRecognizer:swipGesture];
    [swipGesture release];
    
    _yearString = @"2011";
    _catagory = 1;
    _batch = 1;
}

#pragma mark - UISwipRecognizer Action
- (void)swipAction:(UIGestureRecognizer *)gesture
{
    [self.navigationController popViewControllerAnimated:YES];
}

- (void)initData;
{
    _yearArray = @[@"2011",@"2012",@"2013"];
    _cataArray = @[@"文史",@"理工"];
    _batchArray = @[@"一本",@"二本",@"三本",@"专科",@"提前"];
    [_yearArray retain];
    [_cataArray retain];
    [_batchArray retain];
}

- (void)initView
{
    _pickerView = [[UIPickerView alloc]initWithFrame:CGRectMake(0, -10, 320, 80)];
    _pickerView.userInteractionEnabled = YES;
    _pickerView.showsSelectionIndicator = YES;
    _pickerView.delegate = self;
    _pickerView.dataSource = self;
    _pickerView.backgroundColor = [UIColor darkGrayColor];
    [self.view addSubview:_pickerView];
    [_pickerView release];
    
    UIView *titleView = [[UIView alloc]initWithFrame:CGRectMake(0, 190, ScreenWidth, 50)];
    titleView.backgroundColor = [UIColor grayColor];
    UILabel *year = [[UILabel alloc]initWithFrame:CGRectMake(10, 10, 100, 20)];
    year.text = @"年份";
    year.font = [UIFont systemFontOfSize:12.0f];
    year.textColor = [UIColor whiteColor];
    [titleView addSubview:year];
    [year release];
    
    UILabel *TDLabel = [[UILabel alloc]initWithFrame:CGRectMake(60, 10, 100, 20)];
    TDLabel.text = @"投档线";
    TDLabel.font = [UIFont systemFontOfSize:12.0f];
    TDLabel.textColor = [UIColor whiteColor];
    [titleView addSubview:TDLabel];
    [TDLabel release];
    
    UILabel *ranking = [[UILabel alloc]initWithFrame:CGRectMake(110, 10, 100, 20)];
    ranking.text = @"最低排名";
    ranking.font = [UIFont systemFontOfSize:12.0f];
    ranking.textColor = [UIColor whiteColor];
    [titleView addSubview:ranking];
    [ranking release];
    
    UILabel *highScore = [[UILabel alloc]initWithFrame:CGRectMake(175, 10, 100, 20)];
    highScore.text = @"省控线";
    highScore.font = [UIFont systemFontOfSize:12.0f];
    highScore.textColor = [UIColor whiteColor];
    [titleView addSubview:highScore];
    [highScore release];
    
    UILabel *aveScore = [[UILabel alloc]initWithFrame:CGRectMake(225, 10, 100, 20)];
    aveScore.text = @"平均分";
    aveScore.font = [UIFont systemFontOfSize:12.0f];
    aveScore.textColor = [UIColor blueColor];
    [titleView addSubview:aveScore];
    [aveScore release];
    
    UILabel *highestScore = [[UILabel alloc]initWithFrame:CGRectMake(270, 10, 100, 20)];
    highestScore.text = @"最高分";
    highestScore.font = [UIFont systemFontOfSize:12.0f];
    highestScore.textColor = [UIColor blueColor];
    [titleView addSubview:highestScore];
    [highestScore release];
   
    
    [self.view addSubview:titleView];
    [titleView release];
    
    UIView *infoView = [[UIView alloc]initWithFrame:CGRectMake(0, _pickerView.bottom, ScreenWidth, 50)];
    infoView.backgroundColor = [UIColor grayColor];
    _catagoryLabel = [[UILabel alloc]initWithFrame:CGRectMake(40, 10, 100, 20)];
    _catagoryLabel.textColor = [UIColor whiteColor];
    _catagoryLabel.font = [UIFont systemFontOfSize:18.0f];
    [infoView addSubview:_catagoryLabel];
    [_catagoryLabel release];
    
    _batchLabel = [[UILabel alloc]initWithFrame:CGRectMake(120, 10, 100, 20)];
    _batchLabel.textColor = [UIColor whiteColor];
    _batchLabel.font = [UIFont systemFontOfSize:18.0f];
    [infoView addSubview:_batchLabel];
    [_batchLabel release];
    
    curveButton = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    [curveButton setTitle:@"查看分数曲线" forState:UIControlStateNormal];
    [curveButton setFrame:CGRectMake(200, 5, 100, 30)];
    [curveButton setBackgroundColor:[UIColor darkGrayColor]];
    [curveButton setTitleColor:[UIColor whiteColor] forState:UIControlStateNormal];
    [curveButton addTarget:self action:@selector(curveAction) forControlEvents:UIControlEventTouchUpInside];
    [infoView addSubview:curveButton];
    curveButton.hidden = YES;
    
    [self.view addSubview:infoView];
    [infoView release];
    
    _tableView = [[UITableView alloc]initWithFrame:CGRectMake(0, titleView.bottom - 10, 320, ScreenHeight - 280) style:UITableViewStylePlain];
    _tableView.dataSource = self;
    _tableView.delegate = self;
    [self.view addSubview:_tableView];
    [_tableView release];
    
    UIButton *Seletct = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    [Seletct setTitle:@"查询" forState:UIControlStateNormal];
    Seletct.layer.borderColor = [UIColor blueColor].CGColor;
    
    Seletct.showsTouchWhenHighlighted = YES;
    Seletct.titleLabel.font = [UIFont systemFontOfSize:16.0f];
    [Seletct setTitleColor:[UIColor blackColor] forState:UIControlStateNormal];
    Seletct.frame = CGRectMake(0, 0, 80, 35);
    [Seletct addTarget:self action:@selector(search) forControlEvents:UIControlEventTouchUpInside];
    
    UIBarButtonItem *rightButton = [[UIBarButtonItem alloc]initWithCustomView:Seletct];
    self.navigationItem.rightBarButtonItem = rightButton;
    [rightButton release];
    
}

- (void)loadnetData
{
    NSUserDefaults *areaIdDefaults = [NSUserDefaults standardUserDefaults];
    NSString *areaIdString = [areaIdDefaults objectForKey:@"areaID"];
    NSURL *url = [NSURL URLWithString:[NSString stringWithFormat:@"http://www.10lab.cn/zhushou/getSchoolrecruitsByIdJson.action?c=%ld&b=%ld&y=%@&s=%@&a=%@",(long)_catagory,(long)_batch,_yearString,_schoolID,areaIdString]];
    
    NSURL *url2 = [NSURL URLWithString:[NSString stringWithFormat:@"http://ncmsd.jxufe.cn:8080/zhushou/getSchoolrecruitsByIdJson.action?c=%ld&b=%ld&y=%@&s=%@&a=%@",(long)_catagory,(long)_batch,_yearString,_schoolID,areaIdString]];
    NSURL *netUrl = [NSURL URLWithString:@"www.10lab.cn"];
    ConnectNetWork *connect = [[ConnectNetWork alloc]init];
    if ([connect isConnectionAvailable:netUrl]){
        ASIHTTPRequest *request = [ASIHTTPRequest requestWithURL:url];
        [request setRequestMethod:@"GET"];
        [request startSynchronous];
        NSData *netData = request.responseData;
        NSString *jsonString = [[NSString alloc]initWithData:netData encoding:NSUTF8StringEncoding];
        
        SBJsonParser *parser = [[SBJsonParser alloc] init];
        data = [parser objectWithString:jsonString];
        if (data == NULL || data.count == 0) {
            UIAlertView *alertView = [[UIAlertView alloc]initWithTitle:nil message:@"没有相关信息" delegate:self cancelButtonTitle:@"知道了" otherButtonTitles:nil, nil];
            [alertView show];
            [alertView release];
        }
        for (NSInteger year = [_yearString integerValue]; year < 2014; year++) {
            NSURL *TDurl = [NSURL URLWithString:[NSString stringWithFormat:@"http://www.10lab.cn/zhushou/queryEnterLineJosn.action?s=%@&c=%ld&b=%ld&y=%ld&a=13",_schoolID,(long)_catagory,(long)_batch,year]];
            ASIHTTPRequest *TDrequest = [ASIHTTPRequest requestWithURL:TDurl];
            [TDrequest setRequestMethod:@"GET"];
            [TDrequest startSynchronous];
            NSData *TDnetData = TDrequest.responseData;
            NSString *TDjsonString = [[NSString alloc]initWithData:TDnetData encoding:NSUTF8StringEncoding];
                
            SBJsonParser *TDparser = [[SBJsonParser alloc] init];
            TDData = [TDparser objectWithString:TDjsonString];
            //判断数据是否存在
            if (TDData == NULL) {
            }else{
                [_TotolData insertObject:TDData atIndex:0];
            }
        }
    }
    else{
        ASIHTTPRequest *request = [ASIHTTPRequest requestWithURL:url2];
        [request setRequestMethod:@"GET"];
        [request startSynchronous];
        NSData *netData = request.responseData;
        NSString *jsonString = [[NSString alloc]initWithData:netData encoding:NSUTF8StringEncoding];
        
        SBJsonParser *parser = [[SBJsonParser alloc] init];
        data = [parser objectWithString:jsonString];
        if (data == NULL || data.count == 0) {
            UIAlertView *alertView = [[UIAlertView alloc]initWithTitle:nil message:@"没有相关信息" delegate:self cancelButtonTitle:@"知道了" otherButtonTitles:nil, nil];
            [alertView show];
            [alertView release];
        }
        for (NSInteger year = [_yearString integerValue]; year < 2014; year++) {
            NSURL *TDurl = [NSURL URLWithString:[NSString stringWithFormat:@"http://ncmsd.jxufe.cn:8080/zhushou/queryEnterLineJosn.action?s=%@&c=%ld&b=%ld&y=%ld&a=13",_schoolID,(long)_catagory,(long)_batch,year]];
            ASIHTTPRequest *TDrequest = [ASIHTTPRequest requestWithURL:TDurl];
            [TDrequest setRequestMethod:@"GET"];
            [TDrequest startSynchronous];
            NSData *TDnetData = TDrequest.responseData;
            NSString *TDjsonString = [[NSString alloc]initWithData:TDnetData encoding:NSUTF8StringEncoding];
                
            SBJsonParser *TDparser = [[SBJsonParser alloc] init];
            TDData = [TDparser objectWithString:TDjsonString];
            //判断数据是否存在
            if (TDData == NULL) {
            }else{
                [_TotolData insertObject:TDData atIndex:0];
            }
        }
    }
}

- (void)search
{
    HUD = [[MBProgressHUD alloc] initWithView:self.view];
    [self.view addSubview:HUD];
    
    HUD.dimBackground = YES;
    
    //设置对话框文字
    HUD.labelText = @"正在查询";
    
    //显示对话框
    [HUD showAnimated:YES whileExecutingBlock:^{
        //对话框显示时需要执行的操作
        sleep(1);
        
    } completionBlock:^{
        //操作执行完后取消对话框
        [HUD removeFromSuperview];
        [HUD release];
        HUD = nil;
        [self loadnetData];
        curveButton.hidden = NO;
        majorButton.hidden = NO;
        [_tableView reloadData];
    }];
    
    
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return data.count - 1;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    self.navigationItem.titleView = nil;
    self.navigationItem.prompt = nil;
    static NSString *identifier = @"identifier";
    UITableViewCell *cell = nil;
    if (cell == nil) {
        cell = [[UITableViewCell alloc]initWithStyle:UITableViewCellStyleDefault reuseIdentifier:identifier];
    }
    _yearLabel = [[UILabel alloc]initWithFrame:CGRectMake(0, 10, 80, 20)];
    _yearLabel.text = [NSString stringWithFormat:@" %@",[[data objectAtIndex:indexPath.row+1]valueForKey:@"yaerTime"]];
    [cell.contentView addSubview:_yearLabel];
    [_yearLabel release];
    NSArray *array = @[];
    if (_TotolData == NULL || [_TotolData isEqualToArray:array]) {
        _TDLabel = [[UILabel alloc]initWithFrame:CGRectMake(55, 10, 80, 20)];
        _TDLabel.text = @"-";
        _TDLabel.textAlignment = NSTextAlignmentCenter;
        [cell.contentView addSubview:_TDLabel];
        [_TDLabel release];
            
        _rankingLabel = [[UILabel alloc]initWithFrame:CGRectMake(110, 10, 80, 20)];
        _rankingLabel.text = @"-";
        _rankingLabel.textAlignment = NSTextAlignmentCenter;
        [cell.contentView addSubview:_rankingLabel];
        [_rankingLabel release];
    }else {
        _TDLabel = [[UILabel alloc]initWithFrame:CGRectMake(60, 10, 80, 20)];
        _TDLabel.text = [NSString stringWithFormat:@" %@",[[_TotolData objectAtIndex:indexPath.row]valueForKey:@"line"]];
        [cell.contentView addSubview:_TDLabel];
        [_TDLabel release];
            
        _rankingLabel = [[UILabel alloc]initWithFrame:CGRectMake(110, 10, 80, 20)];
        _rankingLabel.text = [NSString stringWithFormat:@" %@",[[_TotolData objectAtIndex:indexPath.row] valueForKey:@"lowestRank"]];
        [cell.contentView addSubview:_rankingLabel];
        [_rankingLabel release];
    }
    
    _controlLabel = [[UILabel alloc]initWithFrame:CGRectMake(175, 10, 80, 20)];
    _controlLabel.text = [NSString stringWithFormat:@" %@",[[data objectAtIndex:indexPath.row+1]valueForKey:@"control"]];
    [cell.contentView addSubview:_controlLabel];
    [_controlLabel release];
    
    _aveLabel = [[UILabel alloc]initWithFrame:CGRectMake(223, 10, 80, 20)];
    _aveLabel.text = [NSString stringWithFormat:@" %@",[[data objectAtIndex:indexPath.row+1]valueForKey:@"average"]];
    _aveLabel.textColor = [UIColor blueColor];
    [cell.contentView addSubview:_aveLabel];
    [_aveLabel release];
    
    _highestLabel = [[UILabel alloc]initWithFrame:CGRectMake(267, 10, 80, 20)];
    _highestLabel.text = [NSString stringWithFormat:@" %@",[[data objectAtIndex:indexPath.row+1]valueForKey:@"highest"]];
    _highestLabel.textColor = [UIColor blueColor];
    [cell.contentView addSubview:_highestLabel];
    [_highestLabel release];
    
    _catagoryLabel.text = [[data objectAtIndex:indexPath.row]valueForKey:@"category_name"];
    _batchLabel.text = [[data objectAtIndex:indexPath.row]valueForKey:@"batch_name"];
    
    cell.selectedBackgroundView = [[[UIView alloc] initWithFrame:cell.frame] autorelease];
    cell.selectedBackgroundView.backgroundColor = [UIColor colorWithRed:0 green:1 blue:0 alpha:0.3];
    return cell;
}

//显示曲线
- (void)curveAction
{
    NSLog(@"count%lu",(unsigned long)data.count);
    if ([data count]<= 2) {
        UIAlertView *alert = [[UIAlertView alloc]initWithTitle:@"提示" message:@"没有趋势曲线" delegate:self cancelButtonTitle:@"知道了" otherButtonTitles:nil, nil];
        [alert show];
        [alert release];
    }else{
        CurvesViewController *curveView = [[CurvesViewController alloc]init];
        curveView.data = self.data;
        curveView.schoolName = _schoolName;
        curveView.batchInfo = _batchLabel.text;
        curveView.categoryInfo = _catagoryLabel.text;
        if (_TotolData != NULL) {
            curveView.TDData = _TotolData;
        }else{
            curveView.TDData = NULL;
        }
        [self.navigationController pushViewController:curveView animated:YES];
        [curveView release];
    }
}

#pragma mark - UIPickerView Delegate
// returns the number of 'columns' to display.
- (NSInteger)numberOfComponentsInPickerView:(UIPickerView *)pickerView
{
    return 3;
}

// returns the # of rows in each component..
- (NSInteger)pickerView:(UIPickerView *)pickerView numberOfRowsInComponent:(NSInteger)component
{
    if (component == 0) {
        return [_yearArray count];
    }else if (component == 1){
        return [_cataArray count];
    }else{
        return [_batchArray count];
    }
}

- (UIView *)pickerView:(UIPickerView *)pickerView viewForRow:(NSInteger)row forComponent:(NSInteger)component reusingView:(UIView *)view

{
    UILabel *myView = nil;
    if (component == 0) {
        myView = [[[UILabel alloc] initWithFrame:CGRectMake(0.0, 0.0, 100, 30)] autorelease];
        myView.textAlignment = NSTextAlignmentCenter;
        myView.text = [_yearArray objectAtIndex:row];
        myView.font = [UIFont systemFontOfSize:14];         //用label来设置字体大小
        myView.backgroundColor = [UIColor clearColor];
        myView.textColor = [UIColor whiteColor];
    }else if (component == 1){
        myView = [[[UILabel alloc] initWithFrame:CGRectMake(0.0, 0.0, 180, 30)] autorelease];
        myView.text = [_cataArray objectAtIndex:row];
        myView.textAlignment = NSTextAlignmentCenter;
        myView.font = [UIFont systemFontOfSize:14];
        myView.backgroundColor = [UIColor clearColor];
        myView.textColor = [UIColor whiteColor];
    }else{
        myView = [[[UILabel alloc] initWithFrame:CGRectMake(0.0, 0.0, 180, 30)] autorelease];
        myView.text = [_batchArray objectAtIndex:row];
        myView.textAlignment = NSTextAlignmentCenter;
        myView.font = [UIFont systemFontOfSize:14];
        myView.backgroundColor = [UIColor clearColor];
        myView.textColor = [UIColor whiteColor];
    }
    return myView;
}

- (void)pickerView:(UIPickerView *)pickerView didSelectRow:(NSInteger)row inComponent:(NSInteger)component
{
    NSInteger yearRow = [pickerView selectedRowInComponent:0];
    NSInteger cataRow = [pickerView selectedRowInComponent:1];
    NSInteger batchRow = [pickerView selectedRowInComponent:2];
    //2011年
    if (yearRow == 0) {
        _yearString = [_yearArray objectAtIndex:0];
        if (cataRow == 0 && batchRow == 0) {
            _catagory = [_cataArray indexOfObject:@"文史"]+1;
            _batch = [_batchArray indexOfObject:@"一本"]+1;
        }else if (cataRow == 0 && batchRow == 1){
            _catagory = [_cataArray indexOfObject:@"文史"]+1;
            _batch = [_batchArray indexOfObject:@"二本"]+1;
        }else if (cataRow == 0 && batchRow == 2){
            _catagory = [_cataArray indexOfObject:@"文史"]+1;
            _batch = [_batchArray indexOfObject:@"三本"]+1;
        }else if (cataRow == 0 && batchRow == 3){
            _catagory = [_cataArray indexOfObject:@"文史"]+1;
            _batch = [_batchArray indexOfObject:@"专科"]+1;
        }else if (cataRow == 0 && batchRow == 4){
            _catagory = [_cataArray indexOfObject:@"文史"]+1;
            _batch = [_batchArray indexOfObject:@"提前"]+1;
        }
        else if (cataRow == 1 && batchRow == 0){
            _catagory = [_cataArray indexOfObject:@"理工"]+1;
            _batch = [_batchArray indexOfObject:@"一本"]+1;
        }else if (cataRow == 1 && batchRow == 1){
            _catagory = [_cataArray indexOfObject:@"理工"]+1;
            _batch = [_batchArray indexOfObject:@"二本"]+1;
        }else if (cataRow == 1 && batchRow == 2){
            _catagory = [_cataArray indexOfObject:@"理工"]+1;
            _batch = [_batchArray indexOfObject:@"三本"]+1;
        }else if (cataRow == 1 && batchRow == 3){
            _catagory = [_cataArray indexOfObject:@"理工"]+1;
            _batch = [_batchArray indexOfObject:@"专科"]+1;
        }else if (cataRow == 1 && batchRow == 4){
            _catagory = [_cataArray indexOfObject:@"理工"]+1;
            _batch = [_batchArray indexOfObject:@"提前"]+1;
        }
    }
    //2012年
    if (yearRow == 1) {
        _yearString = [_yearArray objectAtIndex:1];
        if (cataRow == 0 && batchRow == 0) {
            _catagory = (NSInteger)[_cataArray indexOfObject:@"文史"]+1;
            _batch = [_batchArray indexOfObject:@"一本"]+1;
        }else if (cataRow == 0 && batchRow == 1){
            _catagory = [_cataArray indexOfObject:@"文史"]+1;
            _batch = [_batchArray indexOfObject:@"二本"]+1;
        }else if (cataRow == 0 && batchRow == 2){
            _catagory = [_cataArray indexOfObject:@"文史"]+1;
            _batch = [_batchArray indexOfObject:@"三本"]+1;
        }else if (cataRow == 0 && batchRow == 3){
            _catagory = [_cataArray indexOfObject:@"文史"]+1;
            _batch = [_batchArray indexOfObject:@"专科"]+1;
        }else if (cataRow == 0 && batchRow == 4){
            _catagory = [_cataArray indexOfObject:@"文史"]+1;
            _batch = [_batchArray indexOfObject:@"提前"]+1;
        }
        else if (cataRow == 1 && batchRow == 0){
            _catagory = [_cataArray indexOfObject:@"理工"]+1;
            _batch = [_batchArray indexOfObject:@"一本"]+1;
        }else if (cataRow == 1 && batchRow == 1){
            _catagory = [_cataArray indexOfObject:@"理工"]+1;
            _batch = [_batchArray indexOfObject:@"二本"]+1;
        }else if (cataRow == 1 && batchRow == 2){
            _catagory = [_cataArray indexOfObject:@"理工"]+1;
            _batch = [_batchArray indexOfObject:@"三本"]+1;
        }else if (cataRow == 1 && batchRow == 3){
            _catagory = [_cataArray indexOfObject:@"理工"]+1;
            _batch = [_batchArray indexOfObject:@"专科"]+1;
        }else if (cataRow == 1 && batchRow == 4){
            _catagory = [_cataArray indexOfObject:@"理工"]+1;
            _batch = [_batchArray indexOfObject:@"提前"]+1;
        }
    }
    //2013年
    if (yearRow == 2) {
        _yearString = [_yearArray objectAtIndex:2];
        if (cataRow == 0 && batchRow == 0) {
            _catagory = (NSInteger)[_cataArray indexOfObject:@"文史"]+1;
            _batch = [_batchArray indexOfObject:@"一本"]+1;
        }else if (cataRow == 0 && batchRow == 1){
            _catagory = [_cataArray indexOfObject:@"文史"]+1;
            _batch = [_batchArray indexOfObject:@"二本"]+1;
        }else if (cataRow == 0 && batchRow == 2){
            _catagory = [_cataArray indexOfObject:@"文史"]+1;
            _batch = [_batchArray indexOfObject:@"三本"]+1;
        }else if (cataRow == 0 && batchRow == 3){
            _yearString = [_yearArray objectAtIndex:8];
            _catagory = [_cataArray indexOfObject:@"文史"]+1;
            _batch = [_batchArray indexOfObject:@"专科"]+1;
        }else if (cataRow == 0 && batchRow == 4){
            _catagory = [_cataArray indexOfObject:@"文史"]+1;
            _batch = [_batchArray indexOfObject:@"提前"]+1;
        }
        else if (cataRow == 1 && batchRow == 0){
            _catagory = [_cataArray indexOfObject:@"理工"]+1;
            _batch = [_batchArray indexOfObject:@"一本"]+1;
        }else if (cataRow == 1 && batchRow == 1){
            _catagory = [_cataArray indexOfObject:@"理工"]+1;
            _batch = [_batchArray indexOfObject:@"二本"]+1;
        }else if (cataRow == 1 && batchRow == 2){
            _catagory = [_cataArray indexOfObject:@"理工"]+1;
            _batch = [_batchArray indexOfObject:@"三本"]+1;
        }else if (cataRow == 1 && batchRow == 3){
            _catagory = [_cataArray indexOfObject:@"理工"]+1;
            _batch = [_batchArray indexOfObject:@"专科"]+1;
        }else if (cataRow == 1 && batchRow == 4){
            _catagory = [_cataArray indexOfObject:@"理工"]+1;
            _batch = [_batchArray indexOfObject:@"提前"]+1;
        }
    }
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
