//
//  batchViewController.m
//  GaoKaoHelper
//
//  Created by Christopher on 23/6/14.
//  Copyright (c) 2014 Christopher. All rights reserved.
//

#import "batchViewController.h"

@interface batchViewController ()

@end

@implementation batchViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    _tableView = [[UITableView alloc]initWithFrame:CGRectMake(0, 40, ScreenWidth, ScreenHeight) style:UITableViewStyleGrouped];
    _tableView.dataSource = self;
    _tableView.delegate = self;
    [self.view addSubview:_tableView];
    [_tableView release];
    
    UISwipeGestureRecognizer *swipGesture = [[UISwipeGestureRecognizer alloc]initWithTarget:self action:@selector(swipAction:)];
    swipGesture.direction = UISwipeGestureRecognizerDirectionRight;
    [self.view addGestureRecognizer:swipGesture];
    [swipGesture release];
}

#pragma mark - UISwipRecognizer Action
- (void)swipAction:(UIGestureRecognizer *)gesture
{
    [self.navigationController popViewControllerAnimated:YES];
}

#pragma mark - UITableView Delegate
- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return 5;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    NSInteger row = indexPath.row;
    static NSString *identifier = @"identifier";
    UITableViewCell *cell = nil;
    if (cell == nil){
        cell = [[UITableViewCell alloc]initWithStyle:UITableViewCellStyleDefault reuseIdentifier:identifier];
    }
    if (row == 0) {
        cell.textLabel.text = @"一本";
    }else if (row == 1){
        cell.textLabel.text = @"二本";
    }else if (row == 2){
        cell.textLabel.text = @"三本";
    }else if (row == 3){
        cell.textLabel.text = @"专科";
    }else{
        cell.textLabel.text = @"提前";
    }
    
    return cell;
}

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    if (indexPath.row == 0) {
        _batchString = @"一本";
        NSUserDefaults *defaults = [NSUserDefaults standardUserDefaults];
        [defaults setObject:_batchString forKey:@"batch"];
        [defaults synchronize];
    }else if(indexPath.row == 1){
        _batchString = @"二本";
        NSUserDefaults *defaults = [NSUserDefaults standardUserDefaults];
        [defaults setObject:_batchString forKey:@"batch"];
        [defaults synchronize];
    }else if(indexPath.row == 2){
        _batchString = @"三本";
        NSUserDefaults *defaults = [NSUserDefaults standardUserDefaults];
        [defaults setObject:_batchString forKey:@"batch"];
        [defaults synchronize];
    }else if(indexPath.row == 3){
        _batchString = @"专科";
        NSUserDefaults *defaults = [NSUserDefaults standardUserDefaults];
        [defaults setObject:_batchString forKey:@"batch"];
        [defaults synchronize];
    }else if(indexPath.row == 4){
        _batchString = @"提前";
        NSUserDefaults *defaults = [NSUserDefaults standardUserDefaults];
        [defaults setObject:_batchString forKey:@"batch"];
        [defaults synchronize];
    }
    
    NSString *testStr = _batchString;
    
    if ([self.batchDelegate respondsToSelector:@selector(changeBatchLabelText:)]) {
        [self.batchDelegate changeBatchLabelText:testStr];
    }
    
    [self.navigationController popViewControllerAnimated:YES];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender
{
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
