//
//  myScoreViewController.m
//  GaoKaoHelper
//
//  Created by Christopher on 5/5/14.
//  Copyright (c) 2014 Christopher. All rights reserved.
//

#import "myScoreViewController.h"
#import "AppDelegate.h"
#import "batchViewController.h"
@interface myScoreViewController ()

@end

@implementation myScoreViewController
@synthesize subjectLabel,scoreLabel,rankLabel,areaLabel,batchLabel,scoreAlert,rankAlert,exitsAlert;
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
        self.title = @"我的高考";
    }
    return self;
}

- (AppDelegate *)appDelegate
{
    AppDelegate *appDelegate = (AppDelegate *)[UIApplication sharedApplication].delegate;
    return appDelegate;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view.
    _tableView = [[UITableView alloc]initWithFrame:CGRectMake(0, 0, ScreenWidth, ScreenHeight - 140) style:UITableViewStyleGrouped];
    _tableView.dataSource = self;
    _tableView.delegate = self;
    [self.view addSubview:_tableView];
}


- (void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
    self.tabBarController.tabBar.hidden = NO;
    NSUserDefaults *areaDefaults = [NSUserDefaults standardUserDefaults];
    NSString *areaString = [areaDefaults objectForKey:@"area"];
    if ([areaString isEqualToString:@"江西"]) {
        UIView *adView = [[UIView alloc]initWithFrame:CGRectMake(0, _tableView.bottom , 320, ScreenHeight - 330)];
        adView.backgroundColor = [UIColor colorWithRed:0 green:0.4 blue:0.6 alpha:1];
        
        
        UILabel *sloganLabel = [[UILabel alloc]initWithFrame:CGRectMake(10, 5, 300, 20)];
        sloganLabel.text = @"不拼爹，赢先机";
        sloganLabel.font = [UIFont systemFontOfSize:14.0f];
        sloganLabel.numberOfLines = 2;
        sloganLabel.textAlignment = NSTextAlignmentCenter;
        sloganLabel.textColor = [UIColor redColor];
        [adView addSubview:sloganLabel];
        [sloganLabel release];
        
        UILabel *schoolLabel = [[UILabel alloc]initWithFrame:CGRectMake(12, 20, 290, 50)];
        schoolLabel.text = @"欢迎报考江西机电职业技术学院(代码:8609)     计算机应用技术(专业代码:590101)";
        schoolLabel.font = [UIFont systemFontOfSize:14.0f];
        schoolLabel.numberOfLines = 2;
        schoolLabel.textAlignment = NSTextAlignmentCenter;
        schoolLabel.textColor = [UIColor whiteColor];
        [adView addSubview:schoolLabel];
        [schoolLabel release];
        
        UILabel *contractLabel = [[UILabel alloc]initWithFrame:CGRectMake(40, 65, 280, 20)];
        contractLabel.text = @"咨询热线:13177886031(陈老师) QQ:766018188";
        contractLabel.textColor = [UIColor yellowColor];
        contractLabel.font = [UIFont systemFontOfSize:12.0f];
        [adView addSubview:contractLabel];
        [contractLabel release];
        
        [self.view addSubview:adView];
        [adView release];
        
    }else{
        UIView *adView = [[UIView alloc]initWithFrame:CGRectMake(0, _tableView.bottom, 320, ScreenHeight - 330)];
        adView.backgroundColor = [UIColor grayColor];
        UILabel *contractUs = [[UILabel alloc]initWithFrame:CGRectMake(120, 20, 280, 20)];
        contractUs.text = @"联系我们";
        contractUs.textColor = [UIColor whiteColor];
        [adView addSubview:contractUs];
        [contractUs release];
        
        UILabel *contractLabel1 = [[UILabel alloc]initWithFrame:CGRectMake(40, 65, 280, 20)];
        contractLabel1.text = @"咨询热线:13177886031(陈老师) QQ:766018188";
        contractLabel1.textColor = [UIColor yellowColor];
        contractLabel1.font = [UIFont systemFontOfSize:12.0f];
        [adView addSubview:contractLabel1];
        [contractLabel1 release];
        
        [self.view addSubview:adView];
        [adView release];
    }
}

//每个section的cell个数
- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return 1;
}

//section个数
- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
    return 4;
}

- (NSString *)tableView:(UITableView *)tableView titleForHeaderInSection:(NSInteger)section
{
    NSString *title;
    if (section == 0) {
        title = @"输入文/理科";
    }else if (section == 1){
        title = @"输入我的高考分数";
    }else if (section == 2){
        title = @"选择生源地";
    }else {
        title = @"选择批次";
    }
    return title;
}

//cell的内容
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    NSInteger section = indexPath.section;
    static NSString *identifier= @"identifier";
    UITableViewCell *cell = nil;
    if (cell == nil) {
        cell = [[UITableViewCell alloc]initWithStyle:UITableViewCellStyleValue1 reuseIdentifier:identifier];
    }
    switch (section) {
        case 0:
            cell.textLabel.text = @"文/理科";
            cell.accessoryType = UITableViewCellAccessoryDisclosureIndicator;
            subjectLabel = [[UILabel alloc]initWithFrame:CGRectMake(170, 3, 100, 40)];
            subjectLabel.textAlignment = NSTextAlignmentRight;
            subjectLabel.textColor = [UIColor grayColor];
            NSUserDefaults *defaults = [NSUserDefaults standardUserDefaults];
            NSString *subjectString = [defaults objectForKey:@"subject"];
            subjectLabel.text = subjectString;
            [cell.contentView addSubview:subjectLabel];
            [subjectLabel release];
            break;
        case 1:
            cell.textLabel.text = @"我的分数";
            cell.accessoryType = UITableViewCellAccessoryDisclosureIndicator;
            scoreLabel = [[UILabel alloc]initWithFrame:CGRectMake(170, 3, 100, 40)];
            scoreLabel.textAlignment = NSTextAlignmentRight;
            scoreLabel.textColor = [UIColor grayColor];
            NSUserDefaults *scoreDefaults = [NSUserDefaults standardUserDefaults];
            NSString *scoreString = [scoreDefaults objectForKey:@"score"];
            scoreLabel.text = scoreString;
            [cell.contentView addSubview:scoreLabel];
            [scoreLabel release];
            break;
        case 2:
            cell.textLabel.text = @"生源地";
            cell.accessoryType = UITableViewCellAccessoryDisclosureIndicator;
            areaLabel = [[UILabel alloc]initWithFrame:CGRectMake(170, 3, 100, 40)];
            areaLabel.textAlignment = NSTextAlignmentRight;
            areaLabel.textColor = [UIColor grayColor];
            NSUserDefaults *areaDefaults = [NSUserDefaults standardUserDefaults];
            NSString *areaString = [areaDefaults objectForKey:@"area"];
            areaLabel.text = areaString;
            [cell.contentView addSubview:areaLabel];
            [areaLabel release];
            break;
        case 3:
            cell.textLabel.text = @"批次";
            cell.accessoryType = UITableViewCellAccessoryDisclosureIndicator;
            batchLabel = [[UILabel alloc]initWithFrame:CGRectMake(170, 3, 100, 40)];
            batchLabel.textAlignment = NSTextAlignmentRight;
            batchLabel.textColor = [UIColor grayColor];
            NSUserDefaults *batchDefaults = [NSUserDefaults standardUserDefaults];
            NSString *batchString = [batchDefaults objectForKey:@"batch"];
            batchLabel.text = batchString;
            [cell.contentView addSubview:batchLabel];
            [batchLabel release];
            break;
        default:
            break;
    }
    
    cell.selectedBackgroundView = [[[UIView alloc] initWithFrame:cell.frame] autorelease];
    cell.selectedBackgroundView.backgroundColor = [UIColor colorWithRed:0 green:1 blue:0 alpha:0.3];
    return cell;
    
}

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    NSInteger section = indexPath.section;
    if (section == 0) {
        subjectViewController *subject = [[subjectViewController alloc]init];
        subject.subjectDelegate = self;
        [self.navigationController pushViewController:subject animated:YES];
        [subject release];
    }
    else if(section == 1){
        scoreAlert = [[UIAlertView alloc]initWithTitle:@"请输入高考成绩" message:@"" delegate:self cancelButtonTitle:@"取消" otherButtonTitles:@"确定", nil];
        scoreAlert.tag = 1001;
        [scoreAlert setAlertViewStyle:UIAlertViewStylePlainTextInput];
        UITextField *textField = [scoreAlert textFieldAtIndex:0];
        textField.keyboardType = UIKeyboardTypeNumberPad;
        [scoreAlert show];
        [scoreAlert release];
    }
    else if(section == 2){
        shengyuandiViewController *shengyuandi = [[shengyuandiViewController alloc]init];
        shengyuandi.areaDelegate = self;
        [self.navigationController pushViewController:shengyuandi animated:YES];
        [shengyuandi release];
    }else if(section == 3){
        batchViewController *batchView = [[batchViewController alloc]init];
        batchView.batchDelegate = self;
        [self.navigationController pushViewController:batchView animated:YES];
        [batchView release];
    }
}

#pragma mark - UIAlertView Delegate
- (void)alertView:(UIAlertView *)alertView clickedButtonAtIndex:(NSInteger)buttonIndex
{
    //存储考生分数信息
    if ((alertView = scoreAlert))
    {
        if (buttonIndex == 1) {
            //[scoreAlert retain];
            UITextField *textField = [alertView textFieldAtIndex:0];
            
            if ([textField.text isEqualToString:@""] || [textField.text length]==0)
            {
                UIAlertView *alert = [[UIAlertView alloc]initWithTitle:@"" message:@"请输入您的分数" delegate:self cancelButtonTitle:@"知道了" otherButtonTitles:nil, nil];
                [alert show];
            }else
            {
                NSInteger myScore = [textField.text intValue];
                if (myScore <0 || myScore>750) {
                    UIAlertView *alert = [[UIAlertView alloc]initWithTitle:@"" message:@"请输入有效分数(0~750)" delegate:self cancelButtonTitle:@"知道了" otherButtonTitles:nil, nil];
                    [alert show];
                }else{
                    NSUserDefaults *defaults = [NSUserDefaults standardUserDefaults];
                    [defaults setObject:textField.text forKey:@"score"];
                    [defaults synchronize];
                    scoreLabel.text = textField.text;

                }
            }
        }
    }
    
}


#pragma mark - subjectPickViewControllerDelegate
- (void)changeSubjectLabelText:(NSString *)text
{
    subjectLabel.text = text;
}

#pragma mark - areaPickViewControllerDelegate
- (void)changeAreaLabelText:(NSString *)text
{
    areaLabel.text = text;
}

#pragma mark - batchPickViewControllerDelegate
- (void)changeBatchLabelText:(NSString *)text
{
    batchLabel.text = text;
}


- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
