//
//  proViewController.m
//  GaoKaoHelper
//
//  Created by Christopher on 20/5/14.
//  Copyright (c) 2014 Christopher. All rights reserved.
//

#import "proViewController.h"
@interface proViewController ()

@end

@implementation proViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
        self.title = @"选择省份";
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    _tableView = [[UITableView alloc]initWithFrame:CGRectMake(0, 0, 320, ScreenHeight) style:UITableViewStylePlain];
    _tableView.dataSource = self;
    _tableView.delegate = self;
    [self.view addSubview:_tableView];
    
    UIButton *cancel = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    cancel.frame = CGRectMake(0, 0, 40, 20);
    [cancel setTitle:@"取消" forState:UIControlStateNormal];
    [cancel setShowsTouchWhenHighlighted:YES];
    [cancel addTarget:self action:@selector(cancelAction) forControlEvents:UIControlEventTouchUpInside];
    
    UIBarButtonItem *barButton = [[UIBarButtonItem alloc]initWithCustomView:cancel];
    [cancel release];
    self.navigationItem.leftBarButtonItem = barButton;
    [barButton release];
    NSString *plistPath = [[NSBundle mainBundle]pathForResource:@"area" ofType:@"plist"];
    _proviceArray = [[NSArray alloc]initWithContentsOfFile:plistPath];
    
    UISwipeGestureRecognizer *swipGesture = [[UISwipeGestureRecognizer alloc]initWithTarget:self action:@selector(swipAction:)];
    swipGesture.direction = UISwipeGestureRecognizerDirectionRight;
    [self.view addGestureRecognizer:swipGesture];
    [swipGesture release];
}

#pragma mark - UISwipRecognizer Action
- (void)swipAction:(UIGestureRecognizer *)gesture
{
    [self.navigationController popViewControllerAnimated:YES];
}

- (void)cancelAction
{
    [self dismissViewControllerAnimated:YES completion:NULL];
}

#pragma mark - UITableView Delegate
- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return [_proviceArray count];
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString *identifier = @"identifier";
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:identifier];
    if (cell == nil) {
        cell = [[UITableViewCell alloc]initWithStyle:UITableViewCellStyleDefault reuseIdentifier:identifier];
    }
    cell.textLabel.text = [[_proviceArray objectAtIndex:indexPath.row]valueForKey:@"State"];
    cell.selectedBackgroundView = [[[UIView alloc] initWithFrame:cell.frame] autorelease];
    cell.selectedBackgroundView.backgroundColor = [UIColor colorWithRed:0 green:1 blue:0 alpha:0.3];
    return cell;
}

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    
    NSString *provinceString = [[_proviceArray objectAtIndex:indexPath.row]valueForKey:@"State"];
    
    if ([self.proDelegate respondsToSelector:@selector(changeProLabelText:)]) {
        [self.proDelegate changeProLabelText:provinceString];
    }
    
    [self dismissViewControllerAnimated:YES completion:NULL];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
