//
//  recommendViewController.m
//  GaoKaoHelper
//
//  Created by Christopher on 15/5/14.
//  Copyright (c) 2014 Christopher. All rights reserved.
//

#import "recommendViewController.h"
#import "ASIHTTPRequest.h"
#import "ASIFormDataRequest.h"
#import "SBJson.h"
#import "proViewController.h"
#import "SchoolInfoViewController.h"
#import "ConnectNetWork.h"
@interface recommendViewController ()

@end

@implementation recommendViewController
@synthesize data,provinceID;
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
        self.title = @"推荐学校";
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
    
    cata = 2;
    batch = 1;
    [_batchSeg addTarget:self action:@selector(batchAction:) forControlEvents:UIControlEventValueChanged];
    [_orderSeg addTarget:self action:@selector(orderAction:) forControlEvents:UIControlEventValueChanged];
    
    NSUserDefaults *scoreDefaults = [NSUserDefaults standardUserDefaults];
    NSString *scoreString = [scoreDefaults objectForKey:@"score"];
    _scoreLabel.text = scoreString;
    
    NSUserDefaults *areaDefaults = [NSUserDefaults standardUserDefaults];
    NSString *areaString = [areaDefaults objectForKey:@"area"];
    _areaLabel.text = areaString;
    
    NSUserDefaults *cateDefaults = [NSUserDefaults standardUserDefaults];
    NSString *cateString = [cateDefaults objectForKey:@"subject"];
    _categoryLabel.text = cateString;
    
    UIButton *recButton = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    [recButton setTitle:@"推荐" forState:UIControlStateNormal];
    recButton.showsTouchWhenHighlighted = YES;
    recButton.layer.borderWidth = 1;
    recButton.layer.cornerRadius = 10;
    recButton.layer.masksToBounds = YES;
    recButton.titleLabel.font = [UIFont systemFontOfSize:20.0f];
    [recButton setTitleColor:[UIColor whiteColor] forState:UIControlStateNormal];
    [recButton setBackgroundColor:[UIColor colorWithRed:0 green:0.5 blue:0.8 alpha:1]];
    recButton.frame = CGRectMake(20, 275, 280, 30);
    [recButton addTarget:self action:@selector(RecAction) forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:recButton];
    
    
    _titleView = [[UIView alloc]initWithFrame:CGRectMake(0, recButton.bottom + 10, 320, 40)];
    _titleView.backgroundColor = [UIColor colorWithRed:0 green:0.5 blue:0.8 alpha:1];
    [self.view addSubview:_titleView];
    [_titleView release];
    _titleView.hidden = YES;
    
    UILabel *schoolNameLabel = [[UILabel alloc]initWithFrame:CGRectMake(10, 10, 80, 20)];
    schoolNameLabel.text = @"学校名称";
    schoolNameLabel.textColor = [UIColor whiteColor];
    schoolNameLabel.font = [UIFont systemFontOfSize:12.0f];
    [_titleView addSubview:schoolNameLabel];
    [schoolNameLabel release];
    
    UILabel *batchLabel = [[UILabel alloc]initWithFrame:CGRectMake(85, 10, 80, 20)];
    batchLabel.text = @"批次";
    batchLabel.textColor = [UIColor whiteColor];
    batchLabel.font = [UIFont systemFontOfSize:12.0f];
    [_titleView addSubview:batchLabel];
    [batchLabel release];
    
    UILabel *categoryLabel = [[UILabel alloc]initWithFrame:CGRectMake(130, 10, 80, 20)];
    categoryLabel.text = @"科类";
    categoryLabel.textColor = [UIColor whiteColor];
    categoryLabel.font = [UIFont systemFontOfSize:12.0f];
    [_titleView addSubview:categoryLabel];
    [categoryLabel release];
    
    UILabel *riskLabel = [[UILabel alloc]initWithFrame:CGRectMake(180, 10, 80, 20)];
    riskLabel.text = @"冒险";
    riskLabel.textColor = [UIColor whiteColor];
    riskLabel.font = [UIFont systemFontOfSize:12.0f];
    [_titleView addSubview:riskLabel];
    [riskLabel release];
    
    UILabel *safeLabel = [[UILabel alloc]initWithFrame:CGRectMake(230, 10, 80, 20)];
    safeLabel.text = @"保守";
    safeLabel.textColor = [UIColor whiteColor];
    safeLabel.font = [UIFont systemFontOfSize:12.0f];
    [_titleView addSubview:safeLabel];
    [safeLabel release];
    
    UILabel *reliableLabel = [[UILabel alloc]initWithFrame:CGRectMake(280, 10, 80, 20)];
    reliableLabel.text = @"稳妥";
    reliableLabel.textColor = [UIColor whiteColor];
    reliableLabel.font = [UIFont systemFontOfSize:12.0f];
    [_titleView addSubview:reliableLabel];
    [reliableLabel release];
    
    _tableView = [[UITableView alloc]initWithFrame:CGRectMake(0, _titleView.bottom , 320, ScreenHeight - 400) style:UITableViewStylePlain];
    _tableView.dataSource = self;
    _tableView.delegate = self;
    [self.view addSubview:_tableView];
    [_tableView release];
    _tableView.hidden = YES;
    
}

- (void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
    self.tabBarController.tabBar.hidden = NO;
    //重新获取生源地和高考成绩信息（在用户改变信息之后重新加载）
    NSUserDefaults *scoreDefaults = [NSUserDefaults standardUserDefaults];
    NSString *scoreString = [scoreDefaults objectForKey:@"score"];
    _scoreLabel.text = scoreString;
    
    NSUserDefaults *areaDefaults = [NSUserDefaults standardUserDefaults];
    NSString *areaString = [areaDefaults objectForKey:@"area"];
    _areaLabel.text = areaString;
    
    NSUserDefaults *cateDefaults = [NSUserDefaults standardUserDefaults];
    NSString *cateString = [cateDefaults objectForKey:@"subject"];
    _categoryLabel.text = cateString;
}

#pragma mark - test network connection
-(BOOL) isConnectionAvailable
{
    BOOL isExistenceNetwork = YES;
    Reachability *reach = [Reachability reachabilityWithHostName:@"www.apple.com"];
    switch ([reach currentReachabilityStatus]) {
        case NotReachable:
            isExistenceNetwork = NO;
            //NSLog(@"notReachable");
            break;
        case ReachableViaWiFi:
            isExistenceNetwork = YES;
            //NSLog(@"WIFI");
            break;
        case ReachableViaWWAN:
            isExistenceNetwork = YES;

            break;
    }
    if (!isExistenceNetwork) {
        UIAlertView *alert = [[UIAlertView alloc]initWithTitle:@"提示" message:@"你现在还没有连接网络，请连接网络后再查询" delegate:self cancelButtonTitle:@"知道了" otherButtonTitles:nil, nil];
        [alert show];
        [alert release];
    }
    self.navigationItem.titleView = nil;
    self.navigationItem.prompt = nil;
    return isExistenceNetwork;
}

- (void)loadnetData
{
    if ([self isConnectionAvailable]) {
        NSUserDefaults *areaIdDefaults = [NSUserDefaults standardUserDefaults];
        NSString *areaIdString = [areaIdDefaults objectForKey:@"areaID"];
        
        NSString *provinceString = _provinceLabel.text;
        if ([provinceString isEqualToString:@"上海"]) {
            provinceID = [NSString stringWithFormat:@"3"];
        }else if([provinceString isEqualToString:@"浙江"]) {
            provinceID = [NSString stringWithFormat:@"10"];
        }else{
            provinceID = [NSString stringWithFormat:@"13"];
        }
    
        NSUserDefaults *cateDefaults = [NSUserDefaults standardUserDefaults];
        NSString *cateString = [cateDefaults objectForKey:@"subject"];
        _categoryLabel.text = cateString;
        if ([cateString isEqualToString:@"理科"]) {
            cata = 2;
        }else{
            cata = 1;
        }
    
        NSURL *url = [NSURL URLWithString:[NSString stringWithFormat:@"http://www.xs360.cn/zhushou/getRecommendSchoolsJson.action?c=%ld&b=%ld&a=%@&ta=%@&score=%@&order=%ld",(long)cata,(long)batch,areaIdString,provinceID,_scoreLabel.text,(long)order]];
        
        NSURL *netUrl = [NSURL URLWithString:@"www.xs360.cn"];
        ConnectNetWork *connect = [[ConnectNetWork alloc]init];
        if ([connect isConnectionAvailable:netUrl]){
            ASIHTTPRequest *request = [ASIHTTPRequest requestWithURL:url];
            [request setRequestMethod:@"GET"];
            [request startSynchronous];
            NSData *netData = request.responseData;
            NSString *jsonString = [[NSString alloc]initWithData:netData encoding:NSUTF8StringEncoding];
            
            SBJsonParser *parser = [[SBJsonParser alloc] init];
            data = [parser objectWithString:jsonString];
        }
    }
    NSLog(@"data:%@",data);
}

- (void)RecAction
{
    if ([self isConnectionAvailable]) {
        HUD = [[MBProgressHUD alloc] initWithView:self.view];
        [self.view addSubview:HUD];
        
        HUD.dimBackground = YES;
        
        //设置对话框文字
        HUD.labelText = @"正在为您推荐...";
        
        //显示对话框
        [HUD showAnimated:YES whileExecutingBlock:^{
            //对话框显示时需要执行的操作
            [self loadnetData];
            
        } completionBlock:^{
            //操作执行完后取消对话框
            [HUD removeFromSuperview];
            [HUD release];
            HUD = nil;
            
            NSArray *test = @[];           //对比数组，判断获取的数据是否有值
            if (_provinceLabel.text.length == 0){
                UIAlertView *alertView = [[UIAlertView alloc]initWithTitle:nil message:@"请输入目标省份" delegate:self cancelButtonTitle:@"知道了" otherButtonTitles:nil, nil];
                [alertView show];
                [alertView release];
            }else if ([data isEqualToArray:test] || [data isEqualToArray:NULL]) {
                UIAlertView *alertView = [[UIAlertView alloc]initWithTitle:nil message:@"没有相关信息" delegate:self cancelButtonTitle:@"知道了" otherButtonTitles:nil, nil];
                [alertView show];
                [alertView release];
            }
            _titleView.hidden = NO;
            _tableView.hidden = NO;
            [self.tableView reloadData];
            
        }];
    }
    
}

#pragma mark - UITableView Delegate
- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return [data count];
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString *identifier = @"identifier";
    UITableViewCell *cell = nil;
    cell = [[UITableViewCell alloc]initWithStyle:UITableViewCellStyleDefault reuseIdentifier:identifier];
    
    UILabel *schoolName = [[UILabel alloc]initWithFrame:CGRectMake(10, 10, 100, 20)];
    schoolName.text = [[data objectAtIndex:indexPath.row]valueForKeyPath:@"school_name"];
    schoolName.numberOfLines = 2;
    schoolName.textColor = [UIColor redColor];
    schoolName.font = [UIFont systemFontOfSize:10.0f];
    [cell.contentView addSubview:schoolName];
    [schoolName release];
    
    UILabel *batchLabel = [[UILabel alloc]initWithFrame:CGRectMake(85, 10, 80, 20)];
    batchLabel.text = [[data objectAtIndex:indexPath.row]valueForKeyPath:@"batch_name"];
    batchLabel.font = [UIFont systemFontOfSize:13.0f];
    [cell.contentView addSubview:batchLabel];
    [batchLabel release];
    
    UILabel *categoryLabel = [[UILabel alloc]initWithFrame:CGRectMake(130, 10, 80, 20)];
    categoryLabel.text = [[data objectAtIndex:indexPath.row]valueForKeyPath:@"category_name"];
    categoryLabel.font = [UIFont systemFontOfSize:13.0f];
    [cell.contentView addSubview:categoryLabel];
    [categoryLabel release];
    
    UILabel *riskLabel = [[UILabel alloc]initWithFrame:CGRectMake(175, 10, 80, 20)];
    riskLabel.text = [NSString stringWithFormat:@" %@",[[data objectAtIndex:indexPath.row]valueForKeyPath:@"risk"]];
    riskLabel.textColor = [UIColor redColor];
    riskLabel.font = [UIFont systemFontOfSize:13.0f];
    [cell.contentView addSubview:riskLabel];
    [riskLabel release];
    
    UILabel *safeLabel = [[UILabel alloc]initWithFrame:CGRectMake(227, 10, 80, 20)];
    safeLabel.text = [NSString stringWithFormat:@" %@",[[data objectAtIndex:indexPath.row]valueForKeyPath:@"safe"]];
    safeLabel.textColor = [UIColor redColor];
    safeLabel.font = [UIFont systemFontOfSize:13.0f];
    [cell.contentView addSubview:safeLabel];
    [safeLabel release];
    
    UILabel *reliableLabel = [[UILabel alloc]initWithFrame:CGRectMake(278, 10, 80, 20)];
    reliableLabel.text = [NSString stringWithFormat:@" %@",[[data objectAtIndex:indexPath.row]valueForKeyPath:@"reliable"]];
    reliableLabel.textColor = [UIColor redColor];
    reliableLabel.font = [UIFont systemFontOfSize:13.0f];
    [cell.contentView addSubview:reliableLabel];
    [reliableLabel release];
    
    cell.selectedBackgroundView = [[[UIView alloc] initWithFrame:cell.frame] autorelease];
    cell.selectedBackgroundView.backgroundColor = [UIColor colorWithRed:0 green:1 blue:0 alpha:0.3];
    return cell;
}

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    HUD = [[MBProgressHUD alloc] initWithView:self.view];
    [self.view addSubview:HUD];
    
    HUD.dimBackground = YES;
    //设置对话框文字
    HUD.labelText = @"请稍等";
    
    //显示对话框
    [HUD showAnimated:YES whileExecutingBlock:^{
        //对话框显示时需要执行的操作
        
    } completionBlock:^{
        //操作执行完后取消对话框
        [HUD removeFromSuperview];
        [HUD release];
        HUD = nil;
        SchoolInfoViewController *schoolInfo = [[SchoolInfoViewController alloc]init];
        schoolInfo.schoolID = [[data objectAtIndex:indexPath.row]valueForKey:@"school_id"];
        [self.navigationController pushViewController:schoolInfo animated:YES];
        [schoolInfo release];
    }];
    
}

#pragma mark - UISegmentControl Actions

- (void)batchAction:(UISegmentedControl *)seg
{
    seg.tag = 2;
    NSInteger index = seg.selectedSegmentIndex;
    batch = index + 1;
}

- (void)orderAction:(UISegmentedControl *)seg
{
    seg.tag = 3;
    NSInteger index = seg.selectedSegmentIndex;
    order = index;
}


- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


- (void)dealloc {
    [_batchSeg release];
    [_areaLabel release];
    [_scoreLabel release];
    [_orderSeg release];
    [_areaLabel release];
    [_provinceLabel release];
    [_areaLabel release];
    [_provinceLabel release];
    [_categoryLabel release];
    [super dealloc];
}

- (IBAction)choosePro:(id)sender
{
    proViewController *pro = [[proViewController alloc]init];
    pro.proDelegate = self;
    UINavigationController *navi = [[UINavigationController alloc]initWithRootViewController:pro];
    [self.navigationController presentViewController:navi animated:YES completion:NULL];
    [navi release];
    
}

#pragma mark - proPickViewControllerDelegate
-(void)changeProLabelText:(NSString *)text
{
    _provinceLabel.text = text;
}
@end
