//
//  schoolViewController.m
//  GaoKaoHelper
//
//  Created by Christopher on 20/5/14.
//  Copyright (c) 2014 Christopher. All rights reserved.
//

#import "schoolViewController.h"
#import "ASIHTTPRequest.h"
#import "SBJson.h"
#import "ScoreLineViewController.h"
#import "ConnectNetWork.h"
@interface schoolViewController ()

@end

@implementation schoolViewController
@synthesize data;
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view.
    _tableView = [[UITableView alloc]initWithFrame:CGRectMake(0, 0, 320 ,ScreenHeight) style:UITableViewStylePlain];
    _tableView.dataSource = self;
    _tableView.delegate = self;
    [self.view addSubview:_tableView];
    [_tableView release];
    
    self.title = _provinceString;
    
    NSURL *url = [NSURL URLWithString:@"http://www.xs360.cn/zhushou/getSchoolsJson.action"];
    
    NSURL *netUrl = [NSURL URLWithString:@"www.xs360.cn"];
    ConnectNetWork *connect = [[ConnectNetWork alloc]init];
    if ([connect isConnectionAvailable:netUrl]){
        NSMutableURLRequest *request = [[NSMutableURLRequest alloc]initWithURL:url cachePolicy:NSURLRequestUseProtocolCachePolicy timeoutInterval:10];
        //设置请求方式为POST，默认为GET
        [request setHTTPMethod:@"POST"];
        //拼接参数值
        NSString *str = [NSString stringWithFormat:@"a=%@",_provinceString];
        NSData *bodyData = [str dataUsingEncoding:NSUTF8StringEncoding];
        //设置请求体
        [request setHTTPBody:bodyData];
        NSData *received = [NSURLConnection sendSynchronousRequest:request returningResponse:nil error:nil];
        NSString *result = [[NSString alloc]initWithData:received encoding:NSUTF8StringEncoding];
        //JSON解析数据
        SBJsonParser *parser = [[SBJsonParser alloc] init];
        data = [parser objectWithString:result];
    }
    UISwipeGestureRecognizer *swipGesture = [[UISwipeGestureRecognizer alloc]initWithTarget:self action:@selector(swipAction:)];
    swipGesture.direction = UISwipeGestureRecognizerDirectionRight;
    [self.view addGestureRecognizer:swipGesture];
    [swipGesture release];
}


#pragma mark - UISwipRecognizer Action
- (void)swipAction:(UIGestureRecognizer *)gesture
{
    [self.navigationController popViewControllerAnimated:YES];
}

#pragma mark - UITableView Delegate
- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return [data count];
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString *identifier = @"identifier";
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:identifier];
    if (cell == nil) {
        cell = [[UITableViewCell alloc]initWithStyle:UITableViewCellStyleDefault reuseIdentifier:identifier];
    }
    cell.textLabel.text = [[data objectAtIndex:indexPath.row]valueForKey:@"school_nmae"];
    cell.accessoryType = UITableViewCellAccessoryDisclosureIndicator;
    cell.selectedBackgroundView = [[[UIView alloc] initWithFrame:cell.frame] autorelease];
    cell.selectedBackgroundView.backgroundColor = [UIColor colorWithRed:0 green:1 blue:0 alpha:0.3];
    return cell;
}

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    ScoreLineViewController *scoreLine = [[ScoreLineViewController alloc]init];
    scoreLine.schoolName = [[data objectAtIndex:indexPath.row]valueForKey:@"school_nmae"];
    scoreLine.schoolID = [[data objectAtIndex:indexPath.row]valueForKey:@"id"];
    scoreLine.batchInfo = [[data objectAtIndex:indexPath.row]valueForKey:@"batch_name"];
    [self.navigationController pushViewController:scoreLine animated:YES];
    [scoreLine release];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
