//
//  subjectViewController.m
//  GaoKaoHelper
//
//  Created by Christopher on 5/5/14.
//  Copyright (c) 2014 Christopher. All rights reserved.
//

#import "subjectViewController.h"

@interface subjectViewController ()

@end

@implementation subjectViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view.
    _tableView = [[UITableView alloc]initWithFrame:CGRectMake(0, 40, ScreenWidth, ScreenHeight) style:UITableViewStyleGrouped];
    _tableView.dataSource = self;
    _tableView.delegate = self;
    [self.view addSubview:_tableView];
    [_tableView release];
    
    _stateDic = [[NSMutableDictionary alloc]initWithDictionary:[[NSUserDefaults standardUserDefaults]objectForKey:@"state"]];
    NSInteger row = [[[NSUserDefaults standardUserDefaults]objectForKey:@"lastRow"]integerValue];
    self.selectedIndexPath = [NSIndexPath indexPathForRow:row inSection:0];
    
    UISwipeGestureRecognizer *swipGesture = [[UISwipeGestureRecognizer alloc]initWithTarget:self action:@selector(swipAction:)];
    swipGesture.direction = UISwipeGestureRecognizerDirectionRight;
    [self.view addGestureRecognizer:swipGesture];
    [swipGesture release];
}

#pragma mark - UISwipRecognizer Action
- (void)swipAction:(UIGestureRecognizer *)gesture
{
    [self.navigationController popViewControllerAnimated:YES];
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return 2;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    NSInteger row = indexPath.row;
    static NSString *identifier = @"identifier";
    UITableViewCell *cell = nil;
    if (cell == nil){
        cell = [[UITableViewCell alloc]initWithStyle:UITableViewCellStyleDefault reuseIdentifier:identifier];
    }
    if (row == 0) {
        cell.textLabel.text = @"文科";
        
    }else{
        cell.textLabel.text = @"理科";
    }
    NSString *key = [@"Row" stringByAppendingString:[NSString stringWithFormat:@"%ld",(long)indexPath.row]];
    NSNumber *checked = [_stateDic objectForKey:key];
    
    cell.accessoryType = checked.boolValue ? UITableViewCellAccessoryCheckmark : UITableViewCellAccessoryNone;
    if (!checked)
        [_stateDic setObject:[NSString stringWithFormat:@"0"] forKey:key];
    
    return cell;
}

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    [tableView deselectRowAtIndexPath:indexPath animated:YES];
    
    NSString *key = [@"Row" stringByAppendingString:[NSString stringWithFormat:@"%ld",(long)self.selectedIndexPath.row]];
    NSString *key1 = [@"Row" stringByAppendingString:[NSString stringWithFormat:@"%ld",(long)indexPath.row]];
    
    UITableViewCell *cell = [tableView cellForRowAtIndexPath:self.selectedIndexPath];
    cell.accessoryType = UITableViewCellAccessoryNone;
    [_stateDic setObject:[NSString stringWithFormat:@"0"] forKey:key];
    
    UITableViewCell *cell1 = [tableView cellForRowAtIndexPath:indexPath];
    cell1.accessoryType = UITableViewCellAccessoryCheckmark;
    [_stateDic setObject:[NSString stringWithFormat:@"1"] forKey:key1];
    
    [[NSUserDefaults standardUserDefaults] setObject:_stateDic forKey:@"state"];
    [[NSUserDefaults standardUserDefaults] setObject:[NSString stringWithFormat:@"%ld",(long)indexPath.row] forKey:@"lastRow"];
    self.selectedIndexPath = indexPath;
    
    //判断文理科，并在文理科标签中显示
    if (indexPath.row == 0) {
        _subjectString = @"文科";
        NSUserDefaults *defaults = [NSUserDefaults standardUserDefaults];
        [defaults setObject:_subjectString forKey:@"subject"];
        [defaults synchronize];
    }else{
        _subjectString = @"理科";
        NSUserDefaults *defaults = [NSUserDefaults standardUserDefaults];
        [defaults setObject:_subjectString forKey:@"subject"];
        [defaults synchronize];
    }
    
    NSString *testStr = _subjectString;
    
    NSLog(@"学科是:%@",testStr);
    
    if ([self.subjectDelegate respondsToSelector:@selector(changeSubjectLabelText:)]) {
        [self.subjectDelegate changeSubjectLabelText:testStr];
    }
    
    [self.navigationController popViewControllerAnimated:YES];
    
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
